import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import ClaudeSonnetLogoLight from './ClaudeSonnetLogoLight';
import ClaudeSonnetLogoDark from './ClaudeSonnetLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const ClaudeSonnetLogoSvg = forwardRef(function ClaudeSonnetLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(ClaudeSonnetLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(ClaudeSonnetLogoLight, Object.assign({}, props, { ref: ref })));
});
export default ClaudeSonnetLogoSvg;
